
mode(-1);
lines(0);

function main_builder()

    TOOLBOX_TITLE = "HydroStab";
    TOOLBOX_NAME  = "HydroStab";
    toolbox_dir   = get_absolute_file_path("builder.sce");
	
	// Construction du fichier Toolbox_names.sce dans le répertoire \etc
	//------------------------------------------------------------------
	mprintf("\nConstruction du fichier Toolbox_names.sce dans le répertoire \\etc\\...\n\n");
	
	dir_Toolbox_names=toolbox_dir + "etc" + filesep()
	Toolbox_names="Toolbox_names.sce"
	
	file=listfiles(dir_Toolbox_names + Toolbox_names)
	if file<>[] then mdelete(file); end
		
    script=[
	"//-------------------------------------------------------------------------------------------";
	"// Projet HYDROTUR - PPe";
	"//";
    "// Ce fichier contient les noms des toolbox de la palette SEGPAL";
	"// Ce fichier est automatiquement généré dans le buider.sce principal lors de la construction";
	"// de la palette SEGPAL";
	"//-------------------------------------------------------------------------------------------";
	""
	"      TOOLBOX_TITLE = """+TOOLBOX_TITLE+""" ; ";
	"      TOOLBOX_NAME = """+TOOLBOX_NAME+""" ; ";
	"";	]
	
	mputl(script,dir_Toolbox_names + Toolbox_names)
	
    // Check modules_manager module availability
    // =============================================================================

    if ~isdef("tbx_build_loader") then
        error(msprintf(gettext("%s module not installed."), "modules_manager"));
    end


    // Action
    // =============================================================================

	tbx_builder_macros(toolbox_dir);
	//tbx_builder_src(toolbox_dir);
	//tbx_builder_gateway(toolbox_dir);
	tbx_builder_help(toolbox_dir);
	tbx_build_loader(toolbox_dir);
	tbx_build_cleaner(toolbox_dir);
	
	// Rajoute l'invite de commande dans le fichier loader.sce
	//---------------------------------------------------------
	X=mgetl(toolbox_dir+"loader.sce");
	lg=size(X)
	
	commande=msprintf("exec(""%setc\\InviteCommande.sce"",-1)",toolbox_dir)
	
	fd=mopen(toolbox_dir+"loader.sce","a+")
	mputl(commande,fd)	
	mclose(fd)
	
endfunction

	
    main_builder();
	
	clear bBuiderHydroStab
	
    clear main_builder; // remove main_builder on stack

